Logrunner is statically linked for easy deployment.
[gnucomo.git] / Makefile.in
1 # Makefile.in generated by automake 1.11.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17 VPATH = @srcdir@
18 pkgdatadir = $(datadir)/@PACKAGE@
19 pkgincludedir = $(includedir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkglibexecdir = $(libexecdir)/@PACKAGE@
22 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23 install_sh_DATA = $(install_sh) -c -m 644
24 install_sh_PROGRAM = $(install_sh) -c
25 install_sh_SCRIPT = $(install_sh) -c
26 INSTALL_HEADER = $(INSTALL_DATA)
27 transform = $(program_transform_name)
28 NORMAL_INSTALL = :
29 PRE_INSTALL = :
30 POST_INSTALL = :
31 NORMAL_UNINSTALL = :
32 PRE_UNINSTALL = :
33 POST_UNINSTALL = :
34 subdir = .
35 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
37         $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
38         TODO depcomp install-sh missing mkinstalldirs
39 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
41 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42         $(ACLOCAL_M4)
43 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44  configure.lineno config.status.lineno
45 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
46 CONFIG_HEADER = config.h
47 CONFIG_CLEAN_FILES =
48 CONFIG_CLEAN_VPATH_FILES =
49 SOURCES =
50 DIST_SOURCES =
51 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
52         html-recursive info-recursive install-data-recursive \
53         install-dvi-recursive install-exec-recursive \
54         install-html-recursive install-info-recursive \
55         install-pdf-recursive install-ps-recursive install-recursive \
56         installcheck-recursive installdirs-recursive pdf-recursive \
57         ps-recursive uninstall-recursive
58 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
59   distclean-recursive maintainer-clean-recursive
60 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
61         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
62         distdir dist dist-all distcheck
63 ETAGS = etags
64 CTAGS = ctags
65 DIST_SUBDIRS = $(SUBDIRS)
66 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
67 distdir = $(PACKAGE)-$(VERSION)
68 top_distdir = $(distdir)
69 am__remove_distdir = \
70   if test -d "$(distdir)"; then \
71     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
72       && rm -rf "$(distdir)" \
73       || { sleep 5 && rm -rf "$(distdir)"; }; \
74   else :; fi
75 am__relativize = \
76   dir0=`pwd`; \
77   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
78   sed_rest='s,^[^/]*/*,,'; \
79   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
80   sed_butlast='s,/*[^/]*$$,,'; \
81   while test -n "$$dir1"; do \
82     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
83     if test "$$first" != "."; then \
84       if test "$$first" = ".."; then \
85         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
86         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
87       else \
88         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
89         if test "$$first2" = "$$first"; then \
90           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
91         else \
92           dir2="../$$dir2"; \
93         fi; \
94         dir0="$$dir0"/"$$first"; \
95       fi; \
96     fi; \
97     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
98   done; \
99   reldir="$$dir2"
100 DIST_ARCHIVES = $(distdir).tar.gz
101 GZIP_ENV = --best
102 distuninstallcheck_listfiles = find . -type f -print
103 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
104   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
105 distcleancheck_listfiles = find . -type f -print
106 ACLOCAL = @ACLOCAL@
107 AMTAR = @AMTAR@
108 AUTOCONF = @AUTOCONF@
109 AUTOHEADER = @AUTOHEADER@
110 AUTOMAKE = @AUTOMAKE@
111 AWK = @AWK@
112 CC = @CC@
113 CCDEPMODE = @CCDEPMODE@
114 CFLAGS = @CFLAGS@
115 CPP = @CPP@
116 CPPFLAGS = @CPPFLAGS@
117 CXX = @CXX@
118 CXXDEPMODE = @CXXDEPMODE@
119 CXXFLAGS = @CXXFLAGS@
120 CYGPATH_W = @CYGPATH_W@
121 DEFS = @DEFS@
122 DEPDIR = @DEPDIR@
123 ECHO_C = @ECHO_C@
124 ECHO_N = @ECHO_N@
125 ECHO_T = @ECHO_T@
126 EGREP = @EGREP@
127 EXEEXT = @EXEEXT@
128 GREP = @GREP@
129 INSTALL = @INSTALL@
130 INSTALL_DATA = @INSTALL_DATA@
131 INSTALL_PROGRAM = @INSTALL_PROGRAM@
132 INSTALL_SCRIPT = @INSTALL_SCRIPT@
133 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
134 LDFLAGS = @LDFLAGS@
135 LIBOBJS = @LIBOBJS@
136 LIBPQXX_CFLAGS = @LIBPQXX_CFLAGS@
137 LIBPQXX_LIBS = @LIBPQXX_LIBS@
138 LIBS = @LIBS@
139 LTLIBOBJS = @LTLIBOBJS@
140 MAKEINFO = @MAKEINFO@
141 MKDIR_P = @MKDIR_P@
142 OBJEXT = @OBJEXT@
143 PACKAGE = @PACKAGE@
144 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
145 PACKAGE_NAME = @PACKAGE_NAME@
146 PACKAGE_STRING = @PACKAGE_STRING@
147 PACKAGE_TARNAME = @PACKAGE_TARNAME@
148 PACKAGE_URL = @PACKAGE_URL@
149 PACKAGE_VERSION = @PACKAGE_VERSION@
150 PATH_SEPARATOR = @PATH_SEPARATOR@
151 PKG_CONFIG = @PKG_CONFIG@
152 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
153 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
154 RANLIB = @RANLIB@
155 SET_MAKE = @SET_MAKE@
156 SHELL = @SHELL@
157 STRIP = @STRIP@
158 VERSION = @VERSION@
159 XML_CONFIG = @XML_CONFIG@
160 abs_builddir = @abs_builddir@
161 abs_srcdir = @abs_srcdir@
162 abs_top_builddir = @abs_top_builddir@
163 abs_top_srcdir = @abs_top_srcdir@
164 ac_ct_CC = @ac_ct_CC@
165 ac_ct_CXX = @ac_ct_CXX@
166 am__include = @am__include@
167 am__leading_dot = @am__leading_dot@
168 am__quote = @am__quote@
169 am__tar = @am__tar@
170 am__untar = @am__untar@
171 bindir = @bindir@
172 build_alias = @build_alias@
173 builddir = @builddir@
174 datadir = @datadir@
175 datarootdir = @datarootdir@
176 docdir = @docdir@
177 dvidir = @dvidir@
178 exec_prefix = @exec_prefix@
179 host_alias = @host_alias@
180 htmldir = @htmldir@
181 includedir = @includedir@
182 infodir = @infodir@
183 install_sh = @install_sh@
184 libdir = @libdir@
185 libexecdir = @libexecdir@
186 localedir = @localedir@
187 localstatedir = @localstatedir@
188 mandir = @mandir@
189 mkdir_p = @mkdir_p@
190 oldincludedir = @oldincludedir@
191 pdfdir = @pdfdir@
192 prefix = @prefix@
193 program_transform_name = @program_transform_name@
194 psdir = @psdir@
195 sbindir = @sbindir@
196 sharedstatedir = @sharedstatedir@
197 srcdir = @srcdir@
198 sysconfdir = @sysconfdir@
199 target_alias = @target_alias@
200 top_build_prefix = @top_build_prefix@
201 top_builddir = @top_builddir@
202 top_srcdir = @top_srcdir@
203 SUBDIRS = src test
204 all: config.h
205         $(MAKE) $(AM_MAKEFLAGS) all-recursive
206
207 .SUFFIXES:
208 am--refresh: Makefile
209         @:
210 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
211         @for dep in $?; do \
212           case '$(am__configure_deps)' in \
213             *$$dep*) \
214               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
215               $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
216                 && exit 0; \
217               exit 1;; \
218           esac; \
219         done; \
220         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
221         $(am__cd) $(top_srcdir) && \
222           $(AUTOMAKE) --gnu Makefile
223 .PRECIOUS: Makefile
224 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
225         @case '$?' in \
226           *config.status*) \
227             echo ' $(SHELL) ./config.status'; \
228             $(SHELL) ./config.status;; \
229           *) \
230             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
231             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
232         esac;
233
234 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
235         $(SHELL) ./config.status --recheck
236
237 $(top_srcdir)/configure:  $(am__configure_deps)
238         $(am__cd) $(srcdir) && $(AUTOCONF)
239 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
240         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
241 $(am__aclocal_m4_deps):
242
243 config.h: stamp-h1
244         @if test ! -f $@; then rm -f stamp-h1; else :; fi
245         @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
246
247 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
248         @rm -f stamp-h1
249         cd $(top_builddir) && $(SHELL) ./config.status config.h
250 $(srcdir)/config.h.in:  $(am__configure_deps) 
251         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
252         rm -f stamp-h1
253         touch $@
254
255 distclean-hdr:
256         -rm -f config.h stamp-h1
257
258 # This directory's subdirectories are mostly independent; you can cd
259 # into them and run `make' without going through this Makefile.
260 # To change the values of `make' variables: instead of editing Makefiles,
261 # (1) if the variable is set in `config.status', edit `config.status'
262 #     (which will cause the Makefiles to be regenerated when you run `make');
263 # (2) otherwise, pass the desired values on the `make' command line.
264 $(RECURSIVE_TARGETS):
265         @fail= failcom='exit 1'; \
266         for f in x $$MAKEFLAGS; do \
267           case $$f in \
268             *=* | --[!k]*);; \
269             *k*) failcom='fail=yes';; \
270           esac; \
271         done; \
272         dot_seen=no; \
273         target=`echo $@ | sed s/-recursive//`; \
274         list='$(SUBDIRS)'; for subdir in $$list; do \
275           echo "Making $$target in $$subdir"; \
276           if test "$$subdir" = "."; then \
277             dot_seen=yes; \
278             local_target="$$target-am"; \
279           else \
280             local_target="$$target"; \
281           fi; \
282           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
283           || eval $$failcom; \
284         done; \
285         if test "$$dot_seen" = "no"; then \
286           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
287         fi; test -z "$$fail"
288
289 $(RECURSIVE_CLEAN_TARGETS):
290         @fail= failcom='exit 1'; \
291         for f in x $$MAKEFLAGS; do \
292           case $$f in \
293             *=* | --[!k]*);; \
294             *k*) failcom='fail=yes';; \
295           esac; \
296         done; \
297         dot_seen=no; \
298         case "$@" in \
299           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
300           *) list='$(SUBDIRS)' ;; \
301         esac; \
302         rev=''; for subdir in $$list; do \
303           if test "$$subdir" = "."; then :; else \
304             rev="$$subdir $$rev"; \
305           fi; \
306         done; \
307         rev="$$rev ."; \
308         target=`echo $@ | sed s/-recursive//`; \
309         for subdir in $$rev; do \
310           echo "Making $$target in $$subdir"; \
311           if test "$$subdir" = "."; then \
312             local_target="$$target-am"; \
313           else \
314             local_target="$$target"; \
315           fi; \
316           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
317           || eval $$failcom; \
318         done && test -z "$$fail"
319 tags-recursive:
320         list='$(SUBDIRS)'; for subdir in $$list; do \
321           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
322         done
323 ctags-recursive:
324         list='$(SUBDIRS)'; for subdir in $$list; do \
325           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
326         done
327
328 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
329         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
330         unique=`for i in $$list; do \
331             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
332           done | \
333           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
334               END { if (nonempty) { for (i in files) print i; }; }'`; \
335         mkid -fID $$unique
336 tags: TAGS
337
338 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
339                 $(TAGS_FILES) $(LISP)
340         set x; \
341         here=`pwd`; \
342         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
343           include_option=--etags-include; \
344           empty_fix=.; \
345         else \
346           include_option=--include; \
347           empty_fix=; \
348         fi; \
349         list='$(SUBDIRS)'; for subdir in $$list; do \
350           if test "$$subdir" = .; then :; else \
351             test ! -f $$subdir/TAGS || \
352               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
353           fi; \
354         done; \
355         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
356         unique=`for i in $$list; do \
357             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
358           done | \
359           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
360               END { if (nonempty) { for (i in files) print i; }; }'`; \
361         shift; \
362         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
363           test -n "$$unique" || unique=$$empty_fix; \
364           if test $$# -gt 0; then \
365             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
366               "$$@" $$unique; \
367           else \
368             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
369               $$unique; \
370           fi; \
371         fi
372 ctags: CTAGS
373 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
374                 $(TAGS_FILES) $(LISP)
375         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
376         unique=`for i in $$list; do \
377             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
378           done | \
379           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
380               END { if (nonempty) { for (i in files) print i; }; }'`; \
381         test -z "$(CTAGS_ARGS)$$unique" \
382           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
383              $$unique
384
385 GTAGS:
386         here=`$(am__cd) $(top_builddir) && pwd` \
387           && $(am__cd) $(top_srcdir) \
388           && gtags -i $(GTAGS_ARGS) "$$here"
389
390 distclean-tags:
391         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
392
393 distdir: $(DISTFILES)
394         $(am__remove_distdir)
395         test -d "$(distdir)" || mkdir "$(distdir)"
396         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
397         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
398         list='$(DISTFILES)'; \
399           dist_files=`for file in $$list; do echo $$file; done | \
400           sed -e "s|^$$srcdirstrip/||;t" \
401               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
402         case $$dist_files in \
403           */*) $(MKDIR_P) `echo "$$dist_files" | \
404                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
405                            sort -u` ;; \
406         esac; \
407         for file in $$dist_files; do \
408           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
409           if test -d $$d/$$file; then \
410             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
411             if test -d "$(distdir)/$$file"; then \
412               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
413             fi; \
414             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
415               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
416               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
417             fi; \
418             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
419           else \
420             test -f "$(distdir)/$$file" \
421             || cp -p $$d/$$file "$(distdir)/$$file" \
422             || exit 1; \
423           fi; \
424         done
425         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
426           if test "$$subdir" = .; then :; else \
427             test -d "$(distdir)/$$subdir" \
428             || $(MKDIR_P) "$(distdir)/$$subdir" \
429             || exit 1; \
430           fi; \
431         done
432         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
433           if test "$$subdir" = .; then :; else \
434             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
435             $(am__relativize); \
436             new_distdir=$$reldir; \
437             dir1=$$subdir; dir2="$(top_distdir)"; \
438             $(am__relativize); \
439             new_top_distdir=$$reldir; \
440             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
441             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
442             ($(am__cd) $$subdir && \
443               $(MAKE) $(AM_MAKEFLAGS) \
444                 top_distdir="$$new_top_distdir" \
445                 distdir="$$new_distdir" \
446                 am__remove_distdir=: \
447                 am__skip_length_check=: \
448                 am__skip_mode_fix=: \
449                 distdir) \
450               || exit 1; \
451           fi; \
452         done
453         -test -n "$(am__skip_mode_fix)" \
454         || find "$(distdir)" -type d ! -perm -755 \
455                 -exec chmod u+rwx,go+rx {} \; -o \
456           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
457           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
458           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
459         || chmod -R a+r "$(distdir)"
460 dist-gzip: distdir
461         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
462         $(am__remove_distdir)
463
464 dist-bzip2: distdir
465         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
466         $(am__remove_distdir)
467
468 dist-lzip: distdir
469         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
470         $(am__remove_distdir)
471
472 dist-lzma: distdir
473         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
474         $(am__remove_distdir)
475
476 dist-xz: distdir
477         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
478         $(am__remove_distdir)
479
480 dist-tarZ: distdir
481         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
482         $(am__remove_distdir)
483
484 dist-shar: distdir
485         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
486         $(am__remove_distdir)
487
488 dist-zip: distdir
489         -rm -f $(distdir).zip
490         zip -rq $(distdir).zip $(distdir)
491         $(am__remove_distdir)
492
493 dist dist-all: distdir
494         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
495         $(am__remove_distdir)
496
497 # This target untars the dist file and tries a VPATH configuration.  Then
498 # it guarantees that the distribution is self-contained by making another
499 # tarfile.
500 distcheck: dist
501         case '$(DIST_ARCHIVES)' in \
502         *.tar.gz*) \
503           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
504         *.tar.bz2*) \
505           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
506         *.tar.lzma*) \
507           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
508         *.tar.lz*) \
509           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
510         *.tar.xz*) \
511           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
512         *.tar.Z*) \
513           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
514         *.shar.gz*) \
515           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
516         *.zip*) \
517           unzip $(distdir).zip ;;\
518         esac
519         chmod -R a-w $(distdir); chmod a+w $(distdir)
520         mkdir $(distdir)/_build
521         mkdir $(distdir)/_inst
522         chmod a-w $(distdir)
523         test -d $(distdir)/_build || exit 0; \
524         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
525           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
526           && am__cwd=`pwd` \
527           && $(am__cd) $(distdir)/_build \
528           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
529             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
530             $(DISTCHECK_CONFIGURE_FLAGS) \
531           && $(MAKE) $(AM_MAKEFLAGS) \
532           && $(MAKE) $(AM_MAKEFLAGS) dvi \
533           && $(MAKE) $(AM_MAKEFLAGS) check \
534           && $(MAKE) $(AM_MAKEFLAGS) install \
535           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
536           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
537           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
538                 distuninstallcheck \
539           && chmod -R a-w "$$dc_install_base" \
540           && ({ \
541                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
542                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
543                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
544                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
545                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
546               } || { rm -rf "$$dc_destdir"; exit 1; }) \
547           && rm -rf "$$dc_destdir" \
548           && $(MAKE) $(AM_MAKEFLAGS) dist \
549           && rm -rf $(DIST_ARCHIVES) \
550           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
551           && cd "$$am__cwd" \
552           || exit 1
553         $(am__remove_distdir)
554         @(echo "$(distdir) archives ready for distribution: "; \
555           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
556           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
557 distuninstallcheck:
558         @test -n '$(distuninstallcheck_dir)' || { \
559           echo 'ERROR: trying to run $@ with an empty' \
560                '$$(distuninstallcheck_dir)' >&2; \
561           exit 1; \
562         }; \
563         $(am__cd) '$(distuninstallcheck_dir)' || { \
564           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
565           exit 1; \
566         }; \
567         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
568            || { echo "ERROR: files left after uninstall:" ; \
569                 if test -n "$(DESTDIR)"; then \
570                   echo "  (check DESTDIR support)"; \
571                 fi ; \
572                 $(distuninstallcheck_listfiles) ; \
573                 exit 1; } >&2
574 distcleancheck: distclean
575         @if test '$(srcdir)' = . ; then \
576           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
577           exit 1 ; \
578         fi
579         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
580           || { echo "ERROR: files left in build directory after distclean:" ; \
581                $(distcleancheck_listfiles) ; \
582                exit 1; } >&2
583 check-am: all-am
584 check: check-recursive
585 all-am: Makefile config.h
586 installdirs: installdirs-recursive
587 installdirs-am:
588 install: install-recursive
589 install-exec: install-exec-recursive
590 install-data: install-data-recursive
591 uninstall: uninstall-recursive
592
593 install-am: all-am
594         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
595
596 installcheck: installcheck-recursive
597 install-strip:
598         if test -z '$(STRIP)'; then \
599           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
600             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
601               install; \
602         else \
603           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
604             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
605             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
606         fi
607 mostlyclean-generic:
608
609 clean-generic:
610
611 distclean-generic:
612         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
613         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
614
615 maintainer-clean-generic:
616         @echo "This command is intended for maintainers to use"
617         @echo "it deletes files that may require special tools to rebuild."
618 clean: clean-recursive
619
620 clean-am: clean-generic mostlyclean-am
621
622 distclean: distclean-recursive
623         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
624         -rm -f Makefile
625 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
626
627 dvi: dvi-recursive
628
629 dvi-am:
630
631 html: html-recursive
632
633 html-am:
634
635 info: info-recursive
636
637 info-am:
638
639 install-data-am:
640
641 install-dvi: install-dvi-recursive
642
643 install-dvi-am:
644
645 install-exec-am:
646
647 install-html: install-html-recursive
648
649 install-html-am:
650
651 install-info: install-info-recursive
652
653 install-info-am:
654
655 install-man:
656
657 install-pdf: install-pdf-recursive
658
659 install-pdf-am:
660
661 install-ps: install-ps-recursive
662
663 install-ps-am:
664
665 installcheck-am:
666
667 maintainer-clean: maintainer-clean-recursive
668         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
669         -rm -rf $(top_srcdir)/autom4te.cache
670         -rm -f Makefile
671 maintainer-clean-am: distclean-am maintainer-clean-generic
672
673 mostlyclean: mostlyclean-recursive
674
675 mostlyclean-am: mostlyclean-generic
676
677 pdf: pdf-recursive
678
679 pdf-am:
680
681 ps: ps-recursive
682
683 ps-am:
684
685 uninstall-am:
686
687 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
688         ctags-recursive install-am install-strip tags-recursive
689
690 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
691         all all-am am--refresh check check-am clean clean-generic \
692         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
693         dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
694         distcheck distclean distclean-generic distclean-hdr \
695         distclean-tags distcleancheck distdir distuninstallcheck dvi \
696         dvi-am html html-am info info-am install install-am \
697         install-data install-data-am install-dvi install-dvi-am \
698         install-exec install-exec-am install-html install-html-am \
699         install-info install-info-am install-man install-pdf \
700         install-pdf-am install-ps install-ps-am install-strip \
701         installcheck installcheck-am installdirs installdirs-am \
702         maintainer-clean maintainer-clean-generic mostlyclean \
703         mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
704         uninstall uninstall-am
705
706
707 # Tell versions [3.59,3.63) of GNU make to not export all variables.
708 # Otherwise a system limit (for SysV at least) may be exceeded.
709 .NOEXPORT: